<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Google tag (gtag.js) -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-CTFGQEH7EB"></script>
    <script>
        window.dataLayer = window.dataLayer || [];

        function gtag() {
            dataLayer.push(arguments);
        }
        gtag('js', new Date());

        gtag('config', 'G-CTFGQEH7EB');
    </script>

    <!-- ad block recovery -->
    <script async src="https://fundingchoicesmessages.google.com/i/pub-6759790642735121?ers=1"></script>
    <script>
        (function() {
            function signalGooglefcPresent() {
                if (!window.frames['googlefcPresent']) {
                    if (document.body) {
                        const iframe = document.createElement('iframe');
                        iframe.style =
                        'width: 0; height: 0; border: none; z-index: -1000; left: -1000px; top: -1000px;';
                        iframe.style.display = 'none';
                        iframe.name = 'googlefcPresent';
                        document.body.appendChild(iframe);
                    } else {
                        setTimeout(signalGooglefcPresent, 0);
                    }
                }
            }
            signalGooglefcPresent();
        })();
    </script>


    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>TriviaTrap.AI - The World's First Contextual Real-Time Quiz</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="shortcut icon" type="image/x-icon" href="images/favicon.png">

    <meta name="google-adsense-account" content="ca-pub-6759790642735121">
    <!-- @yield('header_styles') -->
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Tehy:wght@400;700&family=Orbitron:wght@700&display=swap');

        .logo-container1 {
            display: flex;
            align-items: center;
        }

        :root {
            --white: #FFFFFF;
            --black: #000000;
            --gray: #808080;
            --aqua: #00FFFF;
            --mauve: #E0B0FF;
            --deep-purple: #4B0082;
            --light-gray: #F0F0F0;
            --transition: 0.2s;
            --bg-one: hsl(280, 60%, 5%);
            --bg-two: hsl(280, 90%, 15%);
            --stop: 40%;
            --angle: 45deg;
            --border-width: 5px;
            --padlock-size: 300px;
            --border-radius: 30px;
        }

        .logo1 {
            font-family: 'Orbitron', sans-serif;
            font-size: 2.2em;
            font-weight: bold;
            background: linear-gradient(45deg, var(--aqua), var(--mauve));
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
            position: relative;
            text-decoration: none;
        }

        .logo1::after {
            content: '.AI';
            position: absolute;
            top: -1.5em;
            right: -0.5em;
            font-size: 0.4em;
            background: linear-gradient(45deg, var(--aqua), var(--mauve));
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
            padding: 0.2em 0.4em;
            border-radius: 0.3em;
        }
    </style>

    <!-- CSS here -->
    <link rel="stylesheet" href="assets/vendors/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="assets/vendors/mean-menu/meanmenu.css">
    <link rel="stylesheet" href="assets/vendors/odometer/odometer.min.css">
    <link rel="stylesheet" href="assets/vendors/magnific-popup/magnific-popup.css">
    <link rel="stylesheet" href="assets/vendors/animate/animate.css">
    <link rel="stylesheet" href="assets/vendors/swiper/swiper-bundle.css">
    <link rel="stylesheet" href="assets/vendors/owl-carousel/owl.carousel.min.css">
    <link rel="stylesheet" href="assets/vendors/owl-carousel/owl.theme.default.min.css">
    <link rel="stylesheet" href="assets/vendors/nice-select/nice-select.css">
    <link rel="stylesheet" href="assets/vendors/font-awesome-pro/css/fontawesome.min.css">
    <link rel="stylesheet" href="assets/vendors/spacing/spacing.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css" />

    <!-- main css  -->
    <link rel="stylesheet" href="assets/css/main.css">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <!-- @yield('header_scripts') -->
    <script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js?client=ca-pub-6759790642735121"
        crossorigin="anonymous"></script>




</head>

<!--end::Head-->
<!--begin::Body-->

<body id="kt_body" class="header-fixed header-tablet-and-mobile-fixed toolbar-enabled">
    <div class="xc-page-wrapper">
        <header>
            <div class="xc-header-one__header">
                <!-- header topbar start -->
                <div class="xc-header-one__top theme-bg d-none d-xl-block include-bg"
                    data-background="assets/img/shapes/header-top-bg-1.png">
                    <div class="container">
                        <div class="xc-header-one__top-wrapper">
                            <div class="xc-header-one__top">
                                <p>The World's First Contextual Real-Time Quiz</p>
                                <a href="index.php#featured" class="xc-header-top-btn">Learn More</a>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- header top bar end  -->

                <!-- main header start  -->
                <div class="xc-header-one__main" id="xc-header-sticky">
                    <div class="container">
                        <div class="xc-header-one__main-wrapper">
                            <div class="xc-header-one__left">
                                <div class="logo-container1">
                                    <a href="index.php" style="height: 1em" class="logo1">TriviaTrap</a>
                                </div>
                            </div>
                            <div class="xc-header-one__right">
                                <div
                                    class="xc-header-one__right-menu d-flex flex-wrap justify-content-between align-items-center">
                                    <div class="main-menu d-none d-xl-block">
                                        <nav id="mobile-menu">
                                            <ul class="ul-0">
                                                <li>
                                                    <a href="index.php">Home</a>
                                                </li>
                                                <li><a href="about.php">About Us</a></li>
                                                <li><a href="embed.php">Embed</a></li>
                                                <li><a href="faqs.php">FAQs</a></li>
                                                <li>
                                                    <a href="contact.php">Contact Us</a>
                                                </li>
                                            </ul>
                                        </nav>
                                    </div>

                                    <!-- <div class="xc-header-one__right-btn d-none d-md-flex">
                                        <div class="xc-header-bnt-1">
                                            <a href="#" class="xc-border-btn">Sign In</a>
                                        </div>
                                        <div class="xc-header-bnt-2">
                                            <a href="#" class="xc-btn">Try For Free</a>
                                        </div>
                                    </div> -->

                                    <!-- mobile drawer  -->
                                    <div class="xc-header-one__hamburger ml-50 d-xl-none">
                                        <button type="button" class="xc-hamburger-btn xc-offcanvas-open-btn">
                                            <span></span>
                                            <span></span>
                                            <span></span>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--main-header end  -->
            </div>
        </header>
        <div id="xc-cursor">
            <div class="xc-cursor__circle"></div>
        </div>


        <!-- xc-body overlay -->
        <div class="xc-body-overlay">
        </div>
        <!-- xc-body overlay -->
        <!-- search  -->
        <div class="xc-search-popup open">
            <div class="xc-search-popup__overlay"></div>
            <!-- /.search-popup__overlay -->

            <div class="xc-search-popup__content">
                <form action="#">
                    <input type="text" id="search" placeholder="Search Here..." />
                    <button type="submit" aria-label="search submit" class="xc-search-popup-btn">
                        <span><i class="fa-light fa-magnifying-glass"></i></span>
                    </button>
                </form>
            </div>
            <!-- /.search-popup__content -->
        </div>
        <!-- /.search-popup -->

        <div class="xc-back-to-top-wrapper xc-back-to-top-btn-show">
            <button id="xc_back-to-top" type="button" class="xc-back-to-top-btn">
                <svg width="12" height="7" viewBox="0 0 12 7" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M11 6L6 1L1 6" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"
                        stroke-linejoin="round"></path>
                </svg>
            </button>
        </div>

        <!-- <div class="xc-preloader">
            <div class="xc-preloader__image" data-background="assets/img/preloader/preloader.png"></div>
        </div>  -->


        <div class="xc-mobile-nav__wrapper">
            <div class="xc-mobile-nav__overlay xc-mobile-nav__toggler"></div>
            <!-- /.mobile-nav__overlay -->
            <div class="xc-mobile-nav__content">
                <span class="xc-mobile-nav__close xc-mobile-nav__toggler"><i class="fa fa-times"></i></span>

                <div class="logo-box">
                    <a href="index.php">
                        <h3 class="text-white">TriviaTrap</h3>
                    </a>
                </div>
                <!-- /.logo-box -->
                <div class="xc-mobile-nav__menu"></div>
                <!-- /.mobile-nav__container -->

                <ul class="xc-mobile-nav__contact list-unstyled">
                    <li>
                        <i class="fa fa-envelope"></i>
                        <a href="mailto:support@triviatrap.ai">support@triviatrap.ai</a>
                    </li>
                </ul><!-- /.mobile-nav__contact -->
                <div class="xc-mobile-nav__top">
                    <div class="xc-mobile-nav__social">
                        <a href="#" class="fab fa-twitter"></a>
                        <a href="#" class="fab fa-facebook-square"></a>
                        <a href="#" class="fab fa-pinterest-p"></a>
                        <a href="#" class="fab fa-instagram"></a>
                    </div><!-- /.mobile-nav__social -->
                </div><!-- /.mobile-nav__top -->
            </div>
            <!-- /.mobile-nav__content -->
        </div>
        <!-- /.mobile-nav__wrapper -->