<?php include('header.php') ?>
<!-- Owl Carousel CSS -->


<style>
    :root {
        --white: #FFFFFF;
        --black: #000000;
        --gray: #808080;
        --aqua: #00FFFF;
        --mauve: #E0B0FF;
        --deep-purple: #4B0082;
        --light-gray: #F0F0F0;
        --transition: 0.2s;
        --bg-one: hsl(280, 60%, 5%);
        --bg-two: hsl(280, 90%, 15%);
        --stop: 40%;
        --angle: 45deg;
        --border-width: 5px;
        --padlock-size: 300px;
        --border-radius: 30px;
    }

    .activate {
        background-color: #3618d3 !important;
        border-color: transparent !important;
    }

    .deactivate {
        background-color: #3618d3 !important;
        border-color: transparent !important;
    }

    .embed-code {
        background-color: var(--gray);
        border-radius: 5px;
        padding: 15px;
        margin: 15px auto;
        overflow-x: auto;
        color: #000000;
    }

    .copy-button {
        background-color: var(--aqua);
        color: var(--black);
        border: none;
        padding: 8px 16px;
        border-radius: 5px;
        cursor: pointer;
        transition: background-color 0.3s ease;
    }

    .xc-btn {
        margin: 3px !important;
    }

    .copy-button:hover {
        background-color: var(--mauve);
    }

    .banner-padding {
        padding-top: 230px !important;
    }

    @media (max-width: 992px) {

        /* lg breakpoint is 992px */
        .banner-padding {
            padding-top: 130px !important;
        }
    }

    .carousel-item img {
        border-radius: 5px;
    }

    .xc-header-banner__btns .owl-carousel .item {
        position: relative;
        height: auto;
        width: 300px !important;
    }

    .xc-header-banner__btns .owl-carousel .item img {
        display: block;
        height: auto;
        border-radius: 10px;
    }


    .xc-header-banner__btns .owl-nav {
        position: absolute;
        top: 40%;
        width: 100%;
        transform: translateY(-60%);
        display: flex;
        justify-content: space-between;
        pointer-events: none;
        /* Ensures only the arrows are clickable */
    }

    .owl-nav button {}

    .xc-header-banner__btns .owl-nav .owl-prev {
        position: absolute;
        left: -60px;
        /* Adjust this value to move the arrow further out */

    }

    .xc-header-banner__btns .owl-nav .owl-next {
        position: absolute;
        right: -60px;
        /* Adjust this value to move the arrow further out */
    }

    .xc-header-banner__btns .owl-nav .owl-prev,
    .xc-header-banner__btns .owl-nav .owl-next {
        background-color: #000 !important;
        border-color: #000 !important;
        color: white !important;
        border: none;
        width: 50px;
        height: 50px;
        border-radius: 3px;
        cursor: pointer;
        font-size: 24px;
        display: flex;
        align-items: center;
        justify-content: center;
        pointer-events: all;
    }

    .xc-header-banner__btns .owl-nav .owl-prev:hover,
    .xc-header-banner__btns .owl-nav .owl-next:hover {
        background-color: #4e43fa !important;
        border-color: #4e43fa !important;
    }

    @media (max-width: 768px) {

        /* lg breakpoint is 992px */
        .xc-header-banner__btns .owl-nav .owl-prev,
        .xc-header-banner__btns .owl-nav .owl-next {
            display: none !important;
        }
    }

    @media (max-width: 320px) {

        /* lg breakpoint is 992px */
        .xc-header-banner__btns .owl-carousel .item {
            width: 100% !important;
        }
    }

    .xc-testimonials-one__carousel .owl-nav,
    .xc-testimonials-one__carousel .owl-dots {
        display: none !important;
    }


    .xc-header-banner__btns .owl-carousel .item {
        position: relative;
        display: inline-block;
    }

    .xc-header-banner__btns .owl-carousel .item img {
        width: 100%;
        transition: opacity 0.3s ease;
    }

    .xc-header-banner__btns .owl-carousel .item:hover img {
        opacity: 0.3;
    }

    .xc-header-banner__btns .owl-carousel .item .hover-content {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        display: none;
    }

    .xc-header-banner__btns .owl-carousel .item:hover .hover-content {
        display: block;
    }

    .xc-header-banner__btns .owl-carousel .item .hover-content .xc-btn {
        display: inline-block;
    }

    /* Default style for desktop */
    .showcase-playnow {
        font-size: 40px;
    }

    /* Media query for tablets (between 768px and 1024px) */
    @media (max-width: 1024px) and (min-width: 768px) {
        .showcase-playnow {
            font-size: 30px;
            /* Adjust font size for tablets */
        }
    }

    /* Style for the overlay */
    .overlay,
    .overlay1,
    .overlay2,
    .overlay3,
    .overlay4 {
        position: absolute;
        /* Position relative to the parent div */
        top: 0;
        left: 0;
        width: 100%;
        /* Fixed width */
        height: 100%;
        /* Fixed height */
        display: none;
        /* Initially hidden */
        justify-content: center;
        /* Center the iframe */
        align-items: center;
        /* Center the iframe */
        z-index: 1000;
        /* Ensure it appears above other elements */
        overflow: hidden;
    }

    /* Style for the iframe */
    iframe {
        width: 100%;
        /* Full width of the overlay */
        height: 100%;
        /* Full height of the overlay */
        border: none;
        /* Remove border */
        overflow: hidden;
    }

    .owl-item {
        width: 100%important;
        margin-right: 0px !important;
    }

    .xc-header-banner__title {
        text-align: center;
        /* Center-aligns the h2 element */
    }

    .cd-words-wrapper {
        display: inline-block;
        /* Allows center alignment within a block */
    }

    @media (max-width: 1024px) {

        /* Adjust this value as needed for tablet breakpoints */
        .cd-words-wrapper {
            display: block !important;
            /* Forces the span to take the full width */
            text-align: center;
            /* Center-aligns the text */
            margin: auto !important;
        }
    }

    .owl-item {
        margin-right: 10px !important;
    }
</style>


<!--begin::Toolbar-->
<div id="smooth-wrapper">
    <div id="smooth-content">
        <!-- ==== banner ssection start ==== -->

        <!-- header start  -->
        <div class="xc-header-banner__section text-center banner-padding pb-100">
            <div class="d-block d-lg-none">

                <div class="xc-header-banner__title-wrapper wow xcfadeUp">

                    <p class="xc-header-banner__info wow xcfadeUp mb-0">The World's First Contextual Real-Time Quiz</p>
                </div>
                <div class="xc-header-banner__btns mb-10">
                    <a href="#featured" class="xc-btn xc-black-btn wow xcfadeLeft">Learn More</a>
                </div>

            </div>
            <div class="xc-header-banner__bg">
                <img src="assets/img/shapes/hero-bg-1.png" alt="">
            </div>
            <div class="xc-header-banner__shape">
                <div class="shape-1">
                    <img src="assets/img/shapes/baner-1-1.png" alt="">
                </div>
                <div class="shape-2">
                    <img src="assets/img/shapes/baner-1-2.png" alt="">
                </div>
                <div class="shape-3">
                    <img src="assets/img/shapes/baner-1-3.png" alt="">
                </div>
            </div>
            <div class="container">
                <div class="row">
                    <div class="xc-header-banner__title-wrapper wow xcfadeUp">
                        <span class="xc-header-banner__tag"> &#128075; Engage Your Audience with AI-Powered
                            Quizzes.</span>
                        <h2 class="xc-header-banner__title dynamic-title cd-headline clip is-full-width">Welcome to
                            <span class="cd-words-wrapper">
                                <b class="is-visible"><span class="gold-title">TriviaTrap.AI</span></b>
                                <b><span class="gold-title">TriviaTrap.AI</span></b>
                                <b><span class="gold-title">TriviaTrap.AI</span></b>
                            </span>
                        </h2>

                        <p class="xc-header-banner__info wow xcfadeUp">TriviaTrap.AI creates contextual, real-time
                            quizzes based on your website content,<br> boosting user engagement, time on page, and
                            revenue.</p>
                    </div>

                    <div class="xc-header-banner__btns">
                        <h1 class="xc-section__title wow">Showcase: <span>Play Now!</span></h1>
                        <!-- <span class="xc-spt">OR</span>
                            <a href="#" class="xc-border-btn wow xcfadeRight"><span><img src="assets/img/icons/gogole-logo.png" alt=""></span>
                                Sign Up With Google</a> -->
                    </div>
                    <!--                    <p class="xc-note wow xcfadeUp">No credit card required</p>-->
                    <div class="xc-header-banner__btns mt-20">
                        <div class="owl-carousel owl-theme">

                            <div class="item">
                                <img src="assets/espn.png" alt="Patrick Mahomes Quiz">
                                <div class="hover-content">
                                    <button id="showIframeBtn1" class="xc-btn xc-black-btn wow xcfadeLeft">Start Playing
                                        Now</button>


                                </div>
                                <div class="overlay1" id="iframeOverlay1">
                                    <iframe id="iframe1" style="border-radius:10px;"></iframe>
                                    <!-- Close button removed -->
                                </div>
                            </div>

                            <div class="item">
                                <img src="assets/billboard.png" alt="Bill Board Quiz">
                                <div class="hover-content">
                                    <button id="showIframeBtn" class="xc-btn xc-black-btn wow xcfadeLeft">Start Playing
                                        Now</button>
                                </div>

                                <div class="overlay" id="iframeOverlay">
                                    <iframe id="iframe" style="border-radius:10px;"></iframe>
                                    <!-- Close button removed -->
                                </div>
                            </div>

                            <div class="item">
                                <img src="assets/bitcoin.png" alt="Bitcoin Quiz">
                                <div class="hover-content">
                                    <button id="showIframeBtn2" class="xc-btn xc-black-btn wow xcfadeLeft">Start Playing
                                        Now</button>
                                </div>

                                <div class="overlay2" id="iframeOverlay2">
                                    <iframe id="iframe2" style="border-radius:10px;"></iframe>
                                    <!-- Close button removed -->
                                </div>
                            </div>

                            <div class="item">
                                <img src="assets/kamala.png" alt="Kamala Harris Quiz">
                                <div class="hover-content">
                                    <button id="showIframeBtn3" class="xc-btn xc-black-btn wow xcfadeLeft">Start Playing
                                        Now</button>
                                </div>

                                <div class="overlay3" id="iframeOverlay3">
                                    <iframe id="iframe3" style="border-radius:10px;"></iframe>
                                    <!-- Close button removed -->
                                </div>
                            </div>

                            <div class="item">
                                <img src="assets/gordonramsay.png" alt="Gordon Ramsay Quiz">
                                <div class="hover-content">
                                    <button id="showIframeBtn4" class="xc-btn xc-black-btn wow xcfadeLeft">Start Playing
                                        Now</button>
                                </div>

                                <div class="overlay4" id="iframeOverlay4">
                                    <iframe id="iframe4" style="border-radius:10px;"></iframe>
                                    <!-- Close button removed -->
                                </div>
                            </div>
                        </div>

                    </div>
                    <!--                    <p class="xc-note wow xcfadeUp">No credit card required</p>-->
                </div>
                <!-- <div class="row">
                        <div class="xc-header-banner__img w-img p-relative wow xcfadeUp">
                            <img src="assets/img/resourse/banner-img-1.jpg" alt="">
                            <div class="xc-header-banner__video xc-video-1">
                                <a class="xc-popup-video" href="https://www.youtube.com/watch?v=wGWVKkYEHBE"><i
                                        class="fa-solid fa-play"></i>
                                    <i class="ripple"></i></a>
                            </div>
                        </div>
                    </div> -->
            </div>
        </div>
        <!-- header end  -->




        <!-- service one start  -->
        <section class="xc-service-one__section" id="featured">
            <div class="container">
                <div class="xc-section__title-wrapper text-center mb-120  wow xcfadeUp">
                    <span class="xc-section__subtitle">TriviaTrap.ai</span>
                    <h3 class="xc-section__title wow">Our
                        <span>Features</span>
                    </h3>
                </div>
                <div class="xc-service-one__wrapper">
                    <div class="row">
                        <div class="col-lg-4 col-md-6">
                            <div class="xc-service-one__box">
                                <div class="xc-service-one__icon">
                                    <span><img src="assets/quiz-question.png"></span>
                                </div>
                                <h3 class="xc-service-one__title"><a>AI-Powered Content Analysis</a>
                                </h3>
                                <p>Our advanced Al generates relevant quiz questions based on content, page title or
                                    meta data</p>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-6">
                            <div class="xc-service-one__box">
                                <div class="xc-service-one__icon">
                                    <span><img src="assets/quiz.png"></span>
                                </div>
                                <h3 class="xc-service-one__title"><a>Instant Quiz Generation</a>
                                </h3>
                                <p>Experience contextual quizzes that appear as visitors browse different web pages on
                                    your site.</p>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-6">
                            <div class="xc-service-one__box">
                                <div class="xc-service-one__icon">
                                    <span><img src="assets/search.png"></span>
                                </div>
                                <h3 class="xc-service-one__title"><a>Contextual Learning</a>
                                </h3>
                                <p>Enhance visitor knowledge about the topics they are currently reading or researching.
                                </p>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-6">
                            <div class="xc-service-one__box">
                                <div class="xc-service-one__icon">
                                    <span><img src="assets/languages.png"></span>
                                </div>
                                <h3 class="xc-service-one__title"><a>Multi-Lingual</a>
                                </h3>
                                <p>TriviaTrap.AI presents trivia to visitors in their native language. Over 60 languages
                                    supported.</p>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-6">
                            <div class="xc-service-one__box">
                                <div class="xc-service-one__icon">
                                    <span><img src="assets/problem.png"></span>
                                </div>
                                <h3 class="xc-service-one__title"><a>Adaptive Difficulty</a>
                                </h3>
                                <p>Questions adjust in complexity based on your performance and familiarity with the
                                    subject.</p>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-6">
                            <div class="xc-service-one__box">
                                <div class="xc-service-one__icon">
                                    <span><img src="assets/content.png"></span>
                                </div>
                                <h3 class="xc-service-one__title"><a>Monetization</a>
                                </h3>
                                <p>Earn revenue through additional time on site and our advertising model calculated on
                                    impressions.</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- service one end  -->





        <style>
            @media screen and (min-width: 300px) and (max-width: 992px) {
                .faqs_left_margin_small_screen_none {
                    margin-left: 0px !important;
                }
            }
        </style>

        <!-- cta one start -->
        <div class="xc-cta-one__section wow xcfadeUp pb-90" id="embed">
            <div class="container">
                <div class="xc-cta-one__inner theme-bg-2 p-relative z-1">
                    <div class="xc-cta-one__shape">
                        <img src="assets/img/shapes/cta-shape-1.png" alt="shape-1">
                    </div>
                    <div class="row align-items-center">
                        <div class="col-md-12">
                            <div class="xc-cta-one__content">
                                <div class="xc-cta-one__title-wrapper">
                                    <span class="xc-cta-one__tagline"><i
                                            class="fa-solid fa-bolt-lightning"></i>TriviaTrap.ai</span>
                                    <h3 class="xc-cta-one__title">Embed TriviaTrap.AI on Your Website</h3>
                                </div>

                                <div class="mt-3">
                                    <a href="javascript:void(0)" id="metaButton" style="color:#fff!important;"
                                        class="xc-btn xc-black-btn wow xcfadeLeft active">Contextual Tag</a>
                                    <span> <a href="javascript:void(0)" style="color:#fff!important;"
                                            id="customButton" class="xc-btn xc-black-btn wow xcfadeLeft">Custom
                                            Tag</a></span>
                                    <span> <a href="javascript:void(0)" id="customMetaButton"
                                            style="color:#fff!important;"
                                            class="xc-btn xc-black-btn wow xcfadeLeft">Dynamic Meta Tags</a>

                                </div>
                                <div class="mt-3">
                                    <div id="embedSection">
                                        <section id="embed" class="embed-section">
                                            <p>Copy and Paste the code below into the body of your site where you want
                                                the quiz to appear. For best results place the quiz Above the Fold.
                                                <br>
                                                To embed an iframe with the current page title
                                                as the subject of the quiz,
                                                use the following code:
                                            </p>
                                            <div class="embed-code">
<pre><code>&lt;script&gt;
        document.addEventListener('DOMContentLoaded', function() {
            function getParentTitle() {
                return encodeURIComponent(document.title);
            }

            function getParentDomain() {
                return encodeURIComponent(window.location.hostname);
            }

            // Get all iframe elements with the class "iframe-class"
            let iframes = document.getElementsByClassName('iframe-class');
            let title = getParentTitle();
            var domain = getParentDomain();

            for (let i = 0; i < iframes.length; i++) {
                iframes[i].src = "https://triviatrap.ai/store-mcqs?content=" + title + "&domain=" + domain;
            }
        });
    &lt;/script&gt;
    &lt;iframe class="iframe-class" style=" width: 300px; height:250px;"&gt;&lt;/iframe&gt;
    &lt;script&gt;
        const iframes = document.getElementsByClassName('iframe-class');

        Array.from(iframes).forEach((iframe) => {
            iframe.onload = function() {
                try {
                    // Attempt to get the content height
                    let contentHeight = iframe.contentWindow.document.body.scrollHeight;
                    contentHeight = contentHeight + 30;
                    iframe.style.height = contentHeight + 'px';
                } catch (error) {
                    iframe.style.height = '250px';
                }
            };
        });
&lt;/script&gt;</code></pre>
                                            </div>
                                            <button class="xc-btn" onclick="copyEmbedCode()">Copy Embed Code</button>
                                        </section>
                                        
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- cta one end  -->

        <!-- faq one start  -->
        <section class="xc-faq-two__section pb-90" id="faq">
            <div class="container">
                <div class="xc-section__title-wrapper text-center mb-60 wow xcfadeUp">
                    <h3 class="xc-section__title wow">Frequently Asked Questions</h3>
                </div>
                <div class="row">
                    <div class="xc-accrodion-grp" data-grp-name="faq-two-xc-accrodion">
                        <div class="xc-accrodion active ">
                            <div class="xc-accrodion-title">
                                <span class="xc-icon"><i class="fa-regular fa-question-circle"></i></span>
                                <h4>How do I load the embed code on my website?</h4>
                            </div>
                            <div class="xc-accrodion-content">
                                <div class="inner">
                                    <p>To load the TriviaTrap.AI embed code on your website, follow these steps:</p>
                                    <ul class="ml-100 faqs_left_margin_small_screen_none">
                                        <li>Copy the embed code provided above.</li>
                                        <li>Paste the code into the HTML of your website where you want the quiz to
                                            appear.</li>
                                        <li>Ensure that the code is placed within the &lt;body&gt; tag of your HTML.
                                        </li>
                                        <li>Save your changes and refresh your website to see the TriviaTrap.AI quiz in
                                            action!</li>

                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="xc-accrodion">
                            <div class="xc-accrodion-title">
                                <span class="xc-icon"><i class="fa-regular fa-question-circle"></i></span>
                                <h4>Is TriviaTrap free to use?</h4>
                            </div>
                            <div class="xc-accrodion-content">
                                <div class="inner">
                                    <p>Yes! Currently, TriviaTrap.AI is offering free access to our quiz embedding code
                                        as part of a limited-time promotion. You can embed real-time, contextual quizzes
                                        on your website with no cost, helping you boost engagement and earn ad revenue
                                        without any upfront investment. To remove ads on quizzes please contact us at <a
                                            href="mailto:support@triviatrap.ai"
                                            class="fw-bold fs-5 text-black">support@triviatrap.ai</a></p>
                                </div><!-- /.inner -->
                            </div>
                        </div>
                        <div class="xc-accrodion">
                            <div class="xc-accrodion-title">
                                <span class="xc-icon"><i class="fa-regular fa-question-circle"></i></span>
                                <h4>What is your privacy policy?</h4>
                            </div>
                            <div class="xc-accrodion-content">
                                <div class="inner">
                                    <p>Our privacy policy ensures the protection of user data:</p>
                                    <ul class="ml-100 faqs_left_margin_small_screen_none">

                                        <!--<li>We collect minimal personal information necessary for quiz functionality.-->
                                        <!--</li>-->
                                        <!--<li>User data is never sold to third parties.</li>-->
                                        <li>Quiz responses are anonymized for analysis and improvement of our AI.</li>
                                        <!--<li>Users can request deletion of their data at any time.</li>-->
                                        <li>We use industry-standard security measures to protect all collected data.
                                        </li>
                                        <li>Read our full privacy policy <a href="{{ url('/terms') }}"
                                                class="fw-bold fs-5 text-black">here.</a></li>


                                    </ul>
                                </div><!-- /.inner -->
                            </div>
                        </div>
                        <!--                        //////////-->
                        <div class="xc-accrodion">
                            <div class="xc-accrodion-title">
                                <span class="xc-icon"><i class="fa-regular fa fa-question-circle"></i></span>
                                <h4>What are the terms and conditions of use?</h4>
                            </div>
                            <div class="xc-accrodion-content">
                                <div class="inner">
                                    <p>Our terms and conditions cover the following key points:</p>
                                    <ul class="ml-100 faqs_left_margin_small_screen_none">

                                        <li>Publishers must own or have the right to use the websites where
                                            TriviaTrap.AI is embedded.</li>
                                        <li>Content must be family-friendly and adhere to our community guidelines.</li>
                                        <li>Publishers may not manipulate the quiz system or artificially inflate
                                            engagement.</li>
                                        <li>TriviaTrap.AI reserves the right to remove the quiz from any site violating
                                            our terms.</li>
                                        <li>Full terms and conditions can be found <a href="{{ url('/privacy') }}"
                                                class="fw-bold fs-5 text-black">here.</a></li>

                                    </ul>
                                </div><!-- /.inner -->
                            </div>
                        </div>

                        <!--                        //////////-->
                    </div>
                </div>
            </div>
        </section>
        <!-- faq one end  -->




        <?php include('footer.php') ?>
        <script src="assets/vendors/gsap/ScrollSmoother.min.js"></script>

        <script>
            document.addEventListener('DOMContentLoaded', function() {
                const metaButton = document.getElementById('metaButton');
                const customButton = document.getElementById('customButton');
                const customMetaButton = document.getElementById('customMetaButton');

                function activateButton(button) {
                    // Remove 'active' class from all buttons
                    metaButton.classList.remove('activate');
                    customButton.classList.remove('activate');
                    customMetaButton.classList.remove('activate');

                    // Add 'active' class to the clicked button
                    button.classList.add('activate');
                }
                activateButton(metaButton);
                metaButton.addEventListener('click', function() {
                    activateButton(metaButton);
                });
                customMetaButton.addEventListener('click', function() {
                    activateButton(customMetaButton);
                });
                customButton.addEventListener('click', function() {
                    activateButton(customButton);
                });

            });

            document.getElementById('metaButton').addEventListener('click', function() {
                metaButton.addEventListener('click', function() {
                    activateButton(metaButton);
                });
                document.getElementById('embedSection').innerHTML = `
                                    <section id="embed" class="embed-section">
                                        <p>Copy and Paste the code below into the body of your
                                        site where you want the quiz to appear. For best results place the quiz Above the Fold.
                                        <br>
                                        To embed an iframe with the current page title
                                        as the subject of the quiz,
                                        use the following code:</p>
                                        <div class="embed-code">
                                            <pre><code>&lt;script&gt;
                                            document.addEventListener('DOMContentLoaded', function() {
                                                function getParentTitle() {
                                                    return encodeURIComponent(document.title);
                                                }

                                                function getParentDomain() {
                                                    return encodeURIComponent(window.location.hostname);
                                                }

                                                // Get all iframe elements with the class "iframe-class"
                                                let iframes = document.getElementsByClassName('iframe-class');
                                                let title = getParentTitle();
                                                var domain = getParentDomain();

                                                for (let i = 0; i < iframes.length; i++) {
                                                    iframes[i].src = "https://triviatrap.ai/store-mcqs?content=" + title + "&domain=" + domain;
                                                }
                                            });
                                        &lt;/script&gt;
                                        &lt;iframe class="iframe-class" style=" width: 300px; height:250px;"&gt;&lt;/iframe&gt;
                                        &lt;script&gt;
                                            const iframes = document.getElementsByClassName('iframe-class');

                                            Array.from(iframes).forEach((iframe) => {
                                                iframe.onload = function() {
                                                    try {
                                                        // Attempt to get the content height
                                                        let contentHeight = iframe.contentWindow.document.body.scrollHeight;
                                                        contentHeight = contentHeight + 30;
                                                        iframe.style.height = contentHeight + 'px';
                                                    } catch (error) {
                                                        iframe.style.height = '250px';
                                                    }
                                                };
                                            });
                                        &lt;/script&gt;</code></pre>
                                        </div>
                                        <button class="xc-btn" onclick="copyEmbedCode()">Copy Embed Code</button>
                                    </section>
                                                    `;

            });





            document.getElementById('customMetaButton').addEventListener('click', function() {



                document.getElementById('embedSection').innerHTML = `
                        <div class="input-section">
                            <label for="metaNameInput">Enter a Meta Name which will become subject for the quiz:</label>
                            <div class="xc-contact-page__input-box">
                                <input type="text" id="metaNameInput" placeholder="Meta Name Here" required=""
                                    aria-required="true">
                            </div>
                            <button class="cta-button xc-btn" onclick="generateMetaEmbedCode()">Generate</button>
                            <div class="error" id="error"></div>
                        </div>
                        <div id="customEmbedSection"></div>
                    `;
            });

            function generateMetaEmbedCode() {
                const content = document.getElementById('metaNameInput').value.trim();
                const errorDiv = document.getElementById('error');

                if (!content) {
                    errorDiv.textContent = 'Meta Name field is required.';
                    return;
                }

                errorDiv.textContent = ''; // Clear any previous error messages
                document.getElementById('embedSection').innerHTML = `
                            <section id="embed" class="embed-section">
                                <p>Copy and Paste the code below into the body of your
                    site where you want the quiz to appear. For best results place the quiz Above the Fold.
                    <br>
                    To embed an iframe with the current page title
                    as the subject of the quiz,
                    use the following code:</p>
                                <div class="embed-code">
                                    <pre><code>&lt;script&gt;
                                        document.addEventListener('DOMContentLoaded', function() {
                                            function getMetaContent(name) {
                                                let meta = document.querySelector('meta[name="' + name + '"]');
                                                return meta ? encodeURIComponent(meta.getAttribute('content')) : '';
                                            }

                                            function getParentDomain() {
                                                return encodeURIComponent(window.location.hostname);
                                            }

                                            let iframes = document.querySelectorAll('iframe#myIframeD');

                                            iframes.forEach(function(iframe) {
                                                let metaName = iframe.dataset.metaName || 'title';  // Default to 'title'
                                                let metaContent = getMetaContent(metaName) || '${content}';
                                                var domain = getParentDomain();
                                                iframe.src = "https://triviatrap.ai/store-mcqs?content=" + metaContent + "&domain=" + domain;
                                            });
                                        });
                                    &lt;/script&gt;
                                    &lt;iframe id="myIframeD" data-meta-name="${content}" style=" width: 300px; height:250px;"&gt;&lt;/iframe&gt;
                                    &lt;script&gt;
                                        const iframes = document.querySelectorAll('iframe#myIframeD');

                                        iframes.forEach(function(iframe) {
                                            iframe.onload = function() {
                                                try {
                                                    // Attempt to get the content height
                                                    let contentHeight = iframe.contentWindow.document.body.scrollHeight;
                                                    contentHeight = contentHeight + 30;
                                                    iframe.style.height = contentHeight + 'px'; // Set dynamic height
                                                } catch (error) {
                                                    iframe.style.height = '250px'; // Fallback height if unable to calculate
                                                }
                                            };
                                        });
                                    &lt;/script&gt;</code></pre>
                                </div>
                                <button class="xc-btn" onclick="copyEmbedCode()">Copy Embed Code</button>
                            </section>
                        `;
            }


            document.getElementById('customButton').addEventListener('click', function() {


                document.getElementById('embedSection').innerHTML = `
                        <div class="input-section">
                            <label for="contentInput">Enter the keyword which will become subject for the quiz.</label><br>
                            <label for="contentInput">Keyword:</label>
                            <div class="xc-contact-page__input-box">
                                <input type="text" id="contentInput" placeholder="Keyword Here" required=""
                                    aria-required="true">
                            </div>
                            <label for="domainInput">Your Website Domain:</label>
                            <div class="xc-contact-page__input-box">
                                <input type="text" id="domainInput" placeholder="Domain Here" required=""
                                    aria-required="true">
                            </div>
                            <button class="cta-button xc-btn" onclick="generateEmbedCode()">Generate</button>
                            <div class="error" id="error"></div>
                        </div>
                        <div id="customEmbedSection"></div>
                    `;
            });

            function generateEmbedCode() {
                const content = document.getElementById('contentInput').value.trim();
                var domain = document.getElementById('domainInput').value.trim();
                const errorDiv = document.getElementById('error');

                if (!content || !domain) {
                    errorDiv.textContent = 'Both fields are required.';
                    return;
                }

                errorDiv.textContent = ''; // Clear any previous error messages

                document.getElementById('customEmbedSection').innerHTML = `
                    <p>Copy and Paste the code below into the body of your
                        site where you want the quiz to appear. For best results place the quiz Above the Fold.
                        <br>
                        To embed an iframe with the current page title
                        as the subject of the quiz,
                        use the following code:</p>
                                    <section id="embed" class="embed-section">
                                        <p>
                        </p>
                                        <div class="embed-code">
                                        <pre><code>&lt;iframe id="myIframe" src="https://triviatrap.ai/store-mcqs?content=${content}&amp;domain=${domain}" style="width: 300px; height:250px;"&gt;&lt;/iframe&gt;
                                        &lt;script&gt;
                                            // Select all iframes with id 'myIframe'
                                            document.addEventListener('DOMContentLoaded', function() {
                                                let iframes = document.querySelectorAll('#myIframe');

                                                iframes.forEach(iframe => {
                                                    iframe.onload = function() {
                                                        try {
                                                            // Attempt to get the content height
                                                            let contentHeight = iframe.contentWindow.document.body.scrollHeight;
                                                            contentHeight = contentHeight + 30;
                                                            iframe.style.height = contentHeight + 'px';
                                                        } catch (error) {
                                                            iframe.style.height = '250px';
                                                        }
                                                    };
                                                });
                                            });

                                        &lt;/script&gt;</code></pre>
                                        </div>
                                        <button class="copy-button xc-btn" onclick="copyEmbedCode()">Copy Embed Code</button>
                                    </section>
                                        `;
            }

            function copyEmbedCode() {
                const code = document.querySelector('.embed-code pre code').innerText;
                navigator.clipboard.writeText(code).then(function() {
                    alert('Embed code copied to clipboard');
                }, function(err) {
                    alert('Could not copy text: ', err);
                });
            }
            $(document).ready(function() {
                $('.owl-carousel').owlCarousel({
                    loop: false,
                    rewind: true,
                    margin: 10,
                    nav: true,
                    autoplay: false, // Enables auto-scroll
                    autoplayTimeout: 3000, // Time between auto-scrolls (3 seconds)
                    autoplayHoverPause: true, // Pauses auto-scroll on hover
                    responsive: {
                        0: {
                            items: 1
                        },
                        600: {
                            items: 2
                        },
                        1000: {
                            items: 3
                        }
                    },
                    navText: [
                        "<i class='fas fa-chevron-left'></i>",
                        "<i class='fas fa-chevron-right'></i>"
                    ] // Custom navigation icons
                });
            });
        </script>

        <!-- Owl Carousel JS -->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"></script>
        <script>
            $(document).ready(function() {
                // Show iframe overlay and load the iframe on button click
                $('#showIframeBtn').click(function() {
                    $('#iframe').attr('src',
                        'https://triviatrap.ai/html/taylor-swift1.html'); // Set the src of the iframe
                    $('#iframeOverlay').fadeIn(); // Show the overlay
                });

                // Close the iframe overlay when clicking outside the iframe
                $('.overlay').click(function(event) {
                    if (event.target === this) {
                        $(this).fadeOut(); // Fade out the overlay
                        $('#iframe').attr('src', ''); // Clear the iframe src to stop the video
                    }
                });





                // Show iframe overlay and load the iframe on button click
                $('#showIframeBtn1').click(function() {
                    $('#iframe1').attr('src',
                        'https://triviatrap.ai/html/patrick-mahomes1.html'); // Set the src of the iframe
                    $('#iframeOverlay1').fadeIn(); // Show the overlay
                });

                // Close the iframe overlay when clicking outside the iframe
                $('.overlay1').click(function(event) {
                    if (event.target === this) {
                        $(this).fadeOut(); // Fade out the overlay
                        $('#iframe1').attr('src', ''); // Clear the iframe src to stop the video
                    }
                });


                // Show iframe overlay and load the iframe on button click
                $('#showIframeBtn2').click(function() {
                    $('#iframe2').attr('src',
                        'https://triviatrap.ai/html/bitcoin1.html'); // Set the src of the iframe
                    $('#iframeOverlay2').fadeIn(); // Show the overlay
                });

                // Close the iframe overlay when clicking outside the iframe
                $('.overlay2').click(function(event) {
                    if (event.target === this) {
                        $(this).fadeOut(); // Fade out the overlay
                        $('#iframe2').attr('src', ''); // Clear the iframe src to stop the video
                    }
                });


                // Show iframe overlay and load the iframe on button click
                $('#showIframeBtn3').click(function() {
                    $('#iframe3').attr('src',
                        'https://triviatrap.ai/html/kamala-harris-bgAbL1.html'); // Set the src of the iframe
                    $('#iframeOverlay3').fadeIn(); // Show the overlay
                });

                // Close the iframe overlay when clicking outside the iframe
                $('.overlay3').click(function(event) {
                    if (event.target === this) {
                        $(this).fadeOut(); // Fade out the overlay
                        $('#iframe3').attr('src', ''); // Clear the iframe src to stop the video
                    }
                });


                // Show iframe overlay and load the iframe on button click
                $('#showIframeBtn4').click(function() {
                    $('#iframe4').attr('src',
                        'https://triviatrap.ai/html/gordon-ramsay1.html'); // Set the src of the iframe
                    $('#iframeOverlay4').fadeIn(); // Show the overlay
                });

                // Close the iframe overlay when clicking outside the iframe
                $('.overlay4').click(function(event) {
                    if (event.target === this) {
                        $(this).fadeOut(); // Fade out the overlay
                        $('#iframe4').attr('src', ''); // Clear the iframe src to stop the video
                    }
                });
            });
        </script>
       